Bug 7523 - Templates should respect serials routing permission
Summary: Templates should respect serials routing permission
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.6
Hardware: All All
: P3 normal (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-10 06:40 UTC by Katrin Fischer
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7523: Improve checks for routing permissions (14.56 KB, patch)
2012-02-19 08:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed off] Bug 7523: Improve checks for routing permissions (14.62 KB, patch)
2012-02-23 09:39 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-02-10 06:40:37 UTC
Options for routing lists and editing routing lists should only show up, when system preference RoutingSerials is ON and user has correct permissions.
Comment 1 Katrin Fischer 2012-02-19 08:51:05 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2012-02-23 09:39:35 UTC
Created attachment 7818 [details] [review]
[Signed off] Bug 7523: Improve checks for routing permissions

 - RoutingSerials is OFF: all links to routing list are removed
 - RoutingSerials is ON and user does not have 'routing' permission: all links to routing list are removed except for 'Print list' in serials-collection.pl
 - RoutingSerials is ON and user have 'routing' permission: all links to routing list are shown

Signed off
Comment 3 Paul Poulain 2012-02-27 17:24:09 UTC
QA comment:
cosmetic changes only: fixing HTML4 coding guideline rule, some PERL6 -tab instead of 4 spaces- and better permission handling

passed QA
Comment 4 Paul Poulain 2012-02-27 17:24:54 UTC
lot of string changes, I think it's worth waiting for 3.8, but chris_n, it's up to you